Subject: Re: Call tomorrow
From: Ashwinee Latchayya <[email-masked]>
To: jonathan <[email-masked]>
Cc: meidan <[email-masked]>
Date: Fri, 15 May 2020 22:16:55 -0700 (MST)

Hi Jonathan, 

I am so sorry. I've just seen your email. 

Can we schedule a meeting on Monday please? 

Let me know what time suits you best. 

Thank you, 

Ashwinee L 
Account Manager 
Skype : live:ashwinee_9 

From: "jonathan" <[email-masked]> 
To: "Ashwinee Latchayya" <[email-masked]> 
Cc: "meidan" <[email-masked]> 
Sent: Thursday, May 14, 2020 9:48:09 PM 
Subject: Call tomorrow 

Hey Ash, 
How are things going? 
I would like to set a call with the team tomorrow to review and hear how things are going with the calls to hotels. 
When would be a good time for you guys? 

Thanks, 
Jonathan 

Jonathan Passwell 
Business Development & Partnerships 

jonathan @ [ http://splittytravel.com/ | splittytravel.com ] 

+972 (54) 321-4008 

IL Sderot Nim 2, Rishon Lezion // US 500 West, Putnam Ave Greenwich, CT